# Workflow\.list\_tables

### Workflow.<mark style="color:purple;">list\_tables</mark>(*max\_results=None*) → list<[Table](/api/client-libraries/redivis-python/reference/table.md)>

Returns a list of tables within the workflow. Only tables created by the workflow will be included (e.g., tables within datasources that have been added to the workflow will not be present).

### **Parameters:**

**`max_results` :&#x20;*****int, default None***\
If specified, will only return up to max\_results tables

### **Returns:**&#x20;

**list<**[**Table**](/api/client-libraries/redivis-python/reference/table.md)**>**

### **Examples:**

```python
workflow = redivis.user("imathews").workflow("example_workflow_climate_analysis")
tables = workflow.list_tables()

for table in tables:
    print(table.properties) # Properties will be populated with the table.list resource representation
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/client-libraries/redivis-python/reference/workflow/workflow.list_tables.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
